Bug 732828 - [abrt] gnomad2-2.9.6-1.fc15: usbi_log: Process /usr/bin/gnomad2 was killed by signal 11 (SIGSEGV)
Summary: [abrt] gnomad2-2.9.6-1.fc15: usbi_log: Process /usr/bin/gnomad2 was killed by...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnomad2
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Linus Walleij
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:e2edaa4fcd5d8d07449d7561c2c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-23 18:52 UTC by nico
Modified: 2012-08-07 19:08 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:08:07 UTC


Attachments (Terms of Use)
File: maps (34.11 KB, text/plain)
2011-08-23 18:52 UTC, nico
no flags Details

Description nico 2011-08-23 18:52:28 UTC
abrt version: 2.0.3
architecture:   x86_64
backtrace_rating: 4
cmdline:        gnomad2
comment:        connected a Creative Zen Mosaic
component:      gnomad2
crash_function: usbi_log
executable:     /usr/bin/gnomad2
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        gnomad2-2.9.6-1.fc15
reason:         Process /usr/bin/gnomad2 was killed by signal 11 (SIGSEGV)
time:           Tue Aug 23 20:09:46 2011
uid:            500
username:       nico

maps:           Text file, 34931 bytes

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/90/db6a215799aa16cd412c62933257f41cbf50ab /var/cache/abrt-di/usr/lib/debug/.build-id/90/db6a215799aa16cd412c62933257f41cbf50ab
:[New LWP 21249]
:[Thread debugging using libthread_db enabled]
:Core was generated by `gnomad2'.
:Program terminated with signal 11, Segmentation fault.
:#0  usbi_log (ctx=0x5730353549003030, level=LOG_LEVEL_ERROR, function=0x3a4760a990 "op_reset_device", format=0x3a4760a030 "reset failed error %d errno %d") at core.c:1545
:1545		if (!ctx->debug)
:
:Thread 1 (Thread 0x7f4a98eab960 (LWP 21249)):
:#0  usbi_log (ctx=0x5730353549003030, level=LOG_LEVEL_ERROR, function=0x3a4760a990 "op_reset_device", format=0x3a4760a030 "reset failed error %d errno %d") at core.c:1545
:        args = {{gp_offset = 38295200, fp_offset = 0, overflow_arg_area = 0x3a44e00988, reg_save_area = 0x7f4a98ef5b20}}
:        stream = 0x7f4a9862a8e0
:        prefix = <optimized out>
:#1  0x0000003a4760672a in op_reset_device (handle=<optimized out>) at os/linux_usbfs.c:1217
:        fd = <optimized out>
:        r = -1
:        __FUNCTION__ = "op_reset_device"
:#2  0x0000003a44e02b92 in usb_reset (dev=0x24856a0) at core.c:746
:No locals.
:#3  0x000000310c821a7f in configure_usb_device (device=<optimized out>, params=0x2485780, usbinfo=0x2485720) at libusb-glue.c:1924
:        ptp_usb = 0x2495a90
:        libusb_device = 0x247a470
:        ret = <optimized out>
:        bus = <optimized out>
:        found = 1
:        __FUNCTION__ = "configure_usb_device"
:#4  0x000000310c816daa in LIBMTP_Open_Raw_Device (rawdevice=0x24856e0) at libmtp.c:1827
:        mtp_device = 0x2485710
:        bs = 0 '\000'
:        current_params = 0x2485780
:        ptp_usb = <optimized out>
:        err = <optimized out>
:        i = <optimized out>
:        __FUNCTION__ = "LIBMTP_Open_Raw_Device"
:#5  0x000000310c8178e0 in LIBMTP_Get_First_Device () at libmtp.c:1645
:        first_device = 0x0
:        devices = 0x24856e0
:        numdevs = 1
:        ret = <optimized out>
:#6  0x0000000000410eaa in jukebox_discover () at jukebox.c:759
:        device_count = <optimized out>
:        retarray = <optimized out>
:#7  0x000000000040c3c3 in create_select_jukebox_dialog () at gnomad2.c:97
:        jukeboxes = <optimized out>
:#8  0x000000000040c885 in startup_actions (p=<optimized out>) at gnomad2.c:169
:No locals.
:#9  0x0000003a38e427ed in g_main_dispatch (context=0x2235cc0) at gmain.c:2441
:        dispatch = 0x3a38e3e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x0
:        callback = 0x40c830 <startup_actions>
:        cb_funcs = 0x3a39115c50
:        cb_data = 0x2424750
:        current_source_link = {data = 0x243f4b0, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x243f4b0
:        current = 0x2396810
:        i = <optimized out>
:#10 g_main_context_dispatch (context=0x2235cc0) at gmain.c:3014
:No locals.
:#11 0x0000003a38e42fc8 in g_main_context_iterate (context=0x2235cc0, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 200
:        timeout = 0
:        some_ready = 1
:        nfds = 4
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#12 0x0000003a38e4360d in g_main_loop_run (loop=0x2326f40) at gmain.c:3300
:        self = 0x21fc160
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#13 0x000000361954c007 in IA__gtk_main () at gtkmain.c:1256
:        tmp_list = <optimized out>
:        functions = 0x0
:        init = <optimized out>
:        loop = 0x2326f40
:#14 0x000000000040a6a9 in main (argc=1, argv=0x7fff69982638) at gnomad2.c:595
:        cProgramName = "gnomad2 2.9.6"
:        menu = 0x2406360 [GtkMenu]
:        menu_bar = 0x22370d0 [GtkMenuBar]
:        root_menu = 0x2407b90 [GtkMenuItem]
:        menu_item = <optimized out>
:        music_panel = 0x2408190 [GtkHPaned]
:        data_panel = 0x2408190 [GtkHPaned]
:        vbox = 0x2408190 [GtkHPaned]
:        prefshbox = 0x22522f0 [GtkHBox]
:        notebook = <optimized out>
:        label = <optimized out>
:        accel_group = 0x2280a00 [GtkAccelGroup]
:        opt = <optimized out>
:        icon_load_error = 0x0
:From                To                  Syms Read   Shared Object Library
:0x000000310c406040  0x000000310c420bcc  Yes         /usr/lib64/libnjb.so.5
:0x0000003a44e01620  0x0000003a44e0317c  Yes         /lib64/libusb-0.1.so.4.4.4
:0x00000036194697f0  0x000000361970ea9c  Yes         /usr/lib64/libgtk-x11-2.0.so.0
:0x000000361901e760  0x0000003619081b5c  Yes         /usr/lib64/libgdk-x11-2.0.so.0
:0x0000003a406097b0  0x0000003a406156bc  Yes         /usr/lib64/libatk-1.0.so.0
:0x0000003a3c2294a0  0x0000003a3c2d2b3c  Yes         /lib64/libgio-2.0.so.0
:0x00000036184076f0  0x000000361842131c  Yes         /usr/lib64/libpangoft2-1.0.so.0
:0x0000003618804940  0x000000361880935c  Yes         /usr/lib64/libpangocairo-1.0.so.0
:0x00000038f7806290  0x00000038f7819c9c  Yes         /usr/lib64/libgdk_pixbuf-2.0.so.0
:0x00000038f7404890  0x00000038f741eb8c  Yes         /usr/lib64/libpng12.so.0
:0x00007f4a98a57ea0  0x00007f4a98a97e9c  Yes         /lib64/libm-2.14.so
:0x0000003618c0b170  0x0000003618c82a9c  Yes         /usr/lib64/libcairo.so.2
:0x0000003a3ee0ee20  0x0000003a3ee2cb1c  Yes         /usr/lib64/libpango-1.0.so.0
:0x0000003617c0c970  0x0000003617c7391c  Yes         /usr/lib64/libfreetype.so.6
:0x0000003618005d90  0x000000361801f7fc  Yes         /usr/lib64/libfontconfig.so.1
:0x0000003a3a609970  0x0000003a3a639dcc  Yes         /lib64/libgobject-2.0.so.0
:0x0000003a3b200fe0  0x0000003a3b201f8c  Yes         /lib64/libgmodule-2.0.so.0
:0x0000003a3a201560  0x0000003a3a202a2c  Yes         /lib64/libgthread-2.0.so.0
:0x00007f4a9884e160  0x00007f4a988513ec  Yes         /lib64/librt-2.14.so
:0x0000003a38e16cd0  0x0000003a38eadbec  Yes         /lib64/libglib-2.0.so.0
:0x0000003a45606ca0  0x0000003a4561079c  Yes         /usr/lib64/libid3tag.so.0
:0x000000310c80ede0  0x000000310c8302ac  Yes         /usr/lib64/libmtp.so.8.3.6
:0x000000310d001980  0x000000310d0025ac  Yes         /usr/lib64/libtag_c.so.0
:0x00000033470037e0  0x00000033470068fc  Yes         /lib64/libgudev-1.0.so.0
:0x00007f4a98636660  0x00007f4a986413cc  Yes         /lib64/libpthread-2.14.so
:0x00007f4a982b5ce0  0x00007f4a983da38c  Yes         /lib64/libc-2.14.so
:0x0000003a47602620  0x0000003a4760999c  Yes         /lib64/libusb-1.0.so.0.0.0
:0x000000333dc1dce0  0x000000333dca97ec  Yes         /usr/lib64/libX11.so.6
:0x000000333f8013e0  0x000000333f80450c  Yes         /usr/lib64/libXfixes.so.3
:0x000000333e003460  0x000000333e00e31c  Yes         /usr/lib64/libXext.so.6
:0x000000333e801910  0x000000333e80810c  Yes         /usr/lib64/libXrender.so.1
:0x000000333f000a00  0x000000333f00148c  Yes         /usr/lib64/libXinerama.so.1
:0x000000333ec01f00  0x000000333ec0c57c  Yes         /usr/lib64/libXi.so.6
:0x000000333f401720  0x000000333f40675c  Yes         /usr/lib64/libXrandr.so.2
:0x000000333fc028d0  0x000000333fc0749c  Yes         /usr/lib64/libXcursor.so.1
:0x0000003340800b30  0x000000334080189c  Yes         /usr/lib64/libXcomposite.so.1
:0x0000003340000a90  0x000000334000160c  Yes         /usr/lib64/libXdamage.so.1
:0x00007f4a98093de0  0x00007f4a9809491c  Yes         /lib64/libdl-2.14.so
:0x00007f4a97e7b840  0x00007f4a97e8b53c  Yes         /lib64/libresolv-2.14.so
:0x0000003a38601e70  0x0000003a3860e67c  Yes         /lib64/libz.so.1
:0x0000003a38a05980  0x0000003a38a159dc  Yes         /lib64/libselinux.so.1
:0x0000003a3f607e10  0x0000003a3f65c0ac  Yes         /usr/lib64/libpixman-1.so.0
:0x0000003a3b603b70  0x0000003a3b61d84c  Yes         /lib64/libexpat.so.1
:0x00007f4a98cd8b20  0x00007f4a98cf0cca  Yes         /lib64/ld-2.14.so
:0x000000333d8028a0  0x000000333d8120cc  Yes         /lib64/libgcc_s.so.1
:0x000000310cc35400  0x000000310cc7450c  Yes         /usr/lib64/libtag.so.1
:0x000000333e45a400  0x000000333e4c308a  Yes         /usr/lib64/libstdc++.so.6
:0x0000003344802e40  0x000000334480accc  Yes         /lib64/libudev.so.0
:0x0000003a39a08660  0x0000003a39a13b9c  Yes         /usr/lib64/libxcb.so.1
:0x0000003a39e00dd0  0x0000003a39e01b2c  Yes         /usr/lib64/libXau.so.6
:0x00007f4a9184a170  0x00007f4a918518ac  Yes         /lib64/libnss_files-2.14.so
:0x00007f4a91622a90  0x00007f4a9164305c  Yes         /usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so
:0x00007f4a9141d690  0x00007f4a9141de8c  Yes         /usr/lib64/gtk-2.0/modules/libpk-gtk-module.so
:0x0000003f7200a400  0x0000003f7201c51c  Yes         /usr/lib64/libdbus-glib-1.so.2
:0x0000003f71c076f0  0x0000003f71c3051c  Yes         /lib64/libdbus-1.so.3
:0x00007f4a91218fc0  0x00007f4a9121af3c  Yes         /usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so
:0x000000361c801c70  0x000000361c80308c  Yes         /usr/lib64/libcanberra-gtk.so.0
:0x0000003a534032a0  0x0000003a5340c41c  Yes         /usr/lib64/libcanberra.so.0
:0x0000003a50a01fa0  0x0000003a50a0611c  Yes         /usr/lib64/libvorbisfile.so.3
:0x0000003a4c603700  0x0000003a4c61a6ac  Yes         /usr/lib64/libvorbis.so.0
:0x0000003a4c2018d0  0x0000003a4c203f7c  Yes         /usr/lib64/libogg.so.0
:0x0000003a50e02350  0x0000003a50e0b7dc  Yes         /usr/lib64/libtdb.so.1
:0x0000003a4da02360  0x0000003a4da0669c  Yes         /usr/lib64/libltdl.so.7
:0x00007f4a90fe0c10  0x00007f4a90fe5afc  Yes         /lib64/libcrypt-2.14.so
:0x0000003a44a03170  0x0000003a44a417bc  Yes         /lib64/libfreebl3.so
:0x00007f4a8b710ab0  0x00007f4a8b7296ac  Yes         /usr/lib64/gio/modules/libgvfsdbus.so
:0x0000003f72c09210  0x0000003f72c132ec  Yes         /usr/lib64/libgvfscommon.so.0
:0x00007f4a8b4d1e10  0x00007f4a8b4d268c  Yes         /lib64/libutil-2.14.so
:$1 = 0x0
:$2 = 0x0
:rax            0x7f4a9862aeb0	139958360911536
:rbx            0x7f4a9862a8e0	139958360910048
:rcx            0x3a4760a030	250305617968
:rdx            0x3a4760a990	250305620368
:rsi            0x3	3
:rdi            0x5730353549003030	6282579983156129840
:rbp            0x3a4760a030	0x3a4760a030
:rsp            0x7fff69981fb0	0x7fff69981fb0
:r8             0xffffffff	4294967295
:r9             0x9	9
:r10            0x7fff69981e50	140734964964944
:r11            0x206	518
:r12            0x310ca4af30	210665516848
:r13            0x0	0
:r14            0x0	0
:r15            0x2495aa8	38361768
:rip            0x3a47602fc6	0x3a47602fc6 <usbi_log+102>
:eflags         0x10206	[ PF IF RF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function usbi_log:
:   0x0000003a47602f60 <+0>:	push   %rbp
:   0x0000003a47602f61 <+1>:	push   %rbx
:   0x0000003a47602f62 <+2>:	sub    $0xd8,%rsp
:   0x0000003a47602f69 <+9>:	test   %al,%al
:   0x0000003a47602f6b <+11>:	mov    %r8,0x40(%rsp)
:   0x0000003a47602f70 <+16>:	mov    %r9,0x48(%rsp)
:   0x0000003a47602f75 <+21>:	je     0x3a47602fae <usbi_log+78>
:   0x0000003a47602f77 <+23>:	movaps %xmm0,0x50(%rsp)
:   0x0000003a47602f7c <+28>:	movaps %xmm1,0x60(%rsp)
:   0x0000003a47602f81 <+33>:	movaps %xmm2,0x70(%rsp)
:   0x0000003a47602f86 <+38>:	movaps %xmm3,0x80(%rsp)
:   0x0000003a47602f8e <+46>:	movaps %xmm4,0x90(%rsp)
:   0x0000003a47602f96 <+54>:	movaps %xmm5,0xa0(%rsp)
:   0x0000003a47602f9e <+62>:	movaps %xmm6,0xb0(%rsp)
:   0x0000003a47602fa6 <+70>:	movaps %xmm7,0xc0(%rsp)
:   0x0000003a47602fae <+78>:	test   %rdi,%rdi
:   0x0000003a47602fb1 <+81>:	cmove  0x209ae7(%rip),%rdi        # 0x3a4780caa0 <usbi_default_context>
:   0x0000003a47602fb9 <+89>:	mov    0x209848(%rip),%rax        # 0x3a4780c808
:   0x0000003a47602fc0 <+96>:	mov    %rcx,%rbp
:   0x0000003a47602fc3 <+99>:	mov    (%rax),%rbx
:=> 0x0000003a47602fc6 <+102>:	mov    (%rdi),%eax
:   0x0000003a47602fc8 <+104>:	test   %eax,%eax
:   0x0000003a47602fca <+106>:	je     0x3a47603088 <usbi_log+296>
:   0x0000003a47602fd0 <+112>:	cmp    $0x2,%esi
:   0x0000003a47602fd3 <+115>:	je     0x3a47603010 <usbi_log+176>
:   0x0000003a47602fd5 <+117>:	cmp    $0x1,%esi
:   0x0000003a47602fd8 <+120>:	je     0x3a476030d0 <usbi_log+368>
:   0x0000003a47602fde <+126>:	xchg   %ax,%ax
:   0x0000003a47602fe0 <+128>:	jb     0x3a47603098 <usbi_log+312>
:   0x0000003a47602fe6 <+134>:	cmp    $0x2,%esi
:   0x0000003a47602fe9 <+137>:	je     0x3a47603015 <usbi_log+181>
:   0x0000003a47602feb <+139>:	cmp    $0x3,%esi
:   0x0000003a47602fee <+142>:	xchg   %ax,%ax
:   0x0000003a47602ff0 <+144>:	je     0x3a476030b0 <usbi_log+336>
:   0x0000003a47602ff6 <+150>:	mov    0x2097fb(%rip),%rax        # 0x3a4780c7f8
:   0x0000003a47602ffd <+157>:	lea    0x69e2(%rip),%rcx        # 0x3a476099e6
:   0x0000003a47603004 <+164>:	mov    (%rax),%rbx
:   0x0000003a47603007 <+167>:	jmp    0x3a47603026 <usbi_log+198>
:   0x0000003a47603009 <+169>:	nopl   0x0(%rax)
:   0x0000003a47603010 <+176>:	cmp    $0x1,%eax
:   0x0000003a47603013 <+179>:	jle    0x3a47603088 <usbi_log+296>
:   0x0000003a47603015 <+181>:	mov    0x2097dc(%rip),%rax        # 0x3a4780c7f8
:   0x0000003a4760301c <+188>:	lea    0x69af(%rip),%rcx        # 0x3a476099d2
:   0x0000003a47603023 <+195>:	mov    (%rax),%rbx
:   0x0000003a47603026 <+198>:	mov    %rdx,%r8
:   0x0000003a47603029 <+201>:	lea    0x69be(%rip),%rdx        # 0x3a476099ee
:   0x0000003a47603030 <+208>:	mov    $0x1,%esi
:   0x0000003a47603035 <+213>:	mov    %rbx,%rdi
:   0x0000003a47603038 <+216>:	xor    %eax,%eax
:   0x0000003a4760303a <+218>:	callq  0x3a47602230 <__fprintf_chk@plt>
:   0x0000003a4760303f <+223>:	lea    0xf0(%rsp),%rax
:   0x0000003a47603047 <+231>:	lea    0x8(%rsp),%rcx
:   0x0000003a4760304c <+236>:	mov    $0x1,%esi
:   0x0000003a47603051 <+241>:	mov    %rbx,%rdi
:   0x0000003a47603054 <+244>:	mov    %rbp,%rdx
:   0x0000003a47603057 <+247>:	movl   $0x20,0x8(%rsp)
:   0x0000003a4760305f <+255>:	mov    %rax,0x10(%rsp)
:   0x0000003a47603064 <+260>:	lea    0x20(%rsp),%rax
:   0x0000003a47603069 <+265>:	movl   $0x30,0xc(%rsp)
:   0x0000003a47603071 <+273>:	mov    %rax,0x18(%rsp)
:   0x0000003a47603076 <+278>:	callq  0x3a47602360 <__vfprintf_chk@plt>
:   0x0000003a4760307b <+283>:	mov    %rbx,%rsi
:   0x0000003a4760307e <+286>:	mov    $0xa,%edi
:   0x0000003a47603083 <+291>:	callq  0x3a476022f0 <fputc@plt>
:   0x0000003a47603088 <+296>:	add    $0xd8,%rsp
:   0x0000003a4760308f <+303>:	pop    %rbx
:   0x0000003a47603090 <+304>:	pop    %rbp
:   0x0000003a47603091 <+305>:	retq   
:   0x0000003a47603092 <+306>:	nopw   0x0(%rax,%rax,1)
:   0x0000003a47603098 <+312>:	mov    0x209759(%rip),%rax        # 0x3a4780c7f8
:   0x0000003a4760309f <+319>:	lea    0x693a(%rip),%rcx        # 0x3a476099e0
:   0x0000003a476030a6 <+326>:	mov    (%rax),%rbx
:   0x0000003a476030a9 <+329>:	jmpq   0x3a47603026 <usbi_log+198>
:   0x0000003a476030ae <+334>:	xchg   %ax,%ax
:   0x0000003a476030b0 <+336>:	mov    0x209741(%rip),%rax        # 0x3a4780c7f8
:   0x0000003a476030b7 <+343>:	lea    0x691c(%rip),%rcx        # 0x3a476099da
:   0x0000003a476030be <+350>:	mov    (%rax),%rbx
:   0x0000003a476030c1 <+353>:	jmpq   0x3a47603026 <usbi_log+198>
:   0x0000003a476030c6 <+358>:	nopw   %cs:0x0(%rax,%rax,1)
:   0x0000003a476030d0 <+368>:	cmp    $0x2,%eax
:   0x0000003a476030d3 <+371>:	lea    0x68f3(%rip),%rcx        # 0x3a476099cd
:   0x0000003a476030da <+378>:	jg     0x3a47603026 <usbi_log+198>
:   0x0000003a476030e0 <+384>:	jmp    0x3a47603088 <usbi_log+296>
:End of assembler dump.

build_ids:
:318d7ebb9ff61bf5d08d070bb0fa793c4c0d9cb0
:4e07b77adb145cc6404542708f22dc48ded94731
:4d5437cf71ea3e4bac1c445da58ca7897d509d15
:0b232e446650ce07a3e70bae4f00a7ad5eda2630
:aaf7ed41612348bd1141db06cadd428244aa6ea5
:00caa79d9b9399c8cecfe1e6b9b0937c74a24a17
:08bad10bf66ebe542324b597d6ee310019929249
:fc6e234c5a3a5c2ffdb70448d5dadceae8eccc54
:1c6a95451ee19617be5abea3d121f0226d21ddda
:f8a4496694553ff8dc93d7d93187936f4acd07a9
:c2d49d72ec1a1e68b39c3724693f83f44d80a259
:9cd020ec2107c08febe2c8fcabd158212c207854
:0b1f69c75c16ae2ee963cec0721f0e67e2b0f630
:77976ba86d7b36b89a8c1d02fbfc8f50986e2d35
:bff42965b5cdcb7004a4abfdcd264d254a59046b
:36a149d1e2c29890b616402f6bc5e3f69ca2738e
:5dddbb646db3ca0f93a9848c66c8a6dd1b335466
:90fe13fac734263f663981ce4d1691cf926ced25
:087f3b383512e5ebb6de228c20a0074c908be719
:7ff59f3ec00ebb70f32a3f3d6373e19cdc03d0cd
:27301f5062e80c3247bf89aaf21f0a6e3180168f
:585e18f56063dab8934660820f0c63765c6c1a1f
:aaf62304b0fc10611d35b4f56005479d4c58868d
:bde93e5303930a08782944e727cdb70aa32bf80b
:afe4ec94c18bd5228bda21a6e8df520ba8e19e37
:4953d1f613914126bccceb3cb96386647ffba9df
:0911ea7c180d733724f89037b8e8a34e64024aec
:d209b396f198879f49a4cce4bd445df16ab163b5
:5c94d34eef463a380dece1eac0811d6cb2dea2f9
:634eca0cadcf35206919dd5e6a8e2e8601276947
:48aea888319e1848137073c9cbde54a4c2a731c9
:e5f626726497a81807681ed0088dbce6d6a1f17b
:5e7c7237a025f271e5ed1418cb23420764b09725
:3416b2ab0ce2faae0d1f8d59b70079df410865bc
:48c986082682a31f0a23ad45b8baec3104ccc8bc
:9ef41f9ca0eabaf3a03dd77eb180e202ab4fe956
:d259f77e246b7dde5797633a40e4a655375f9b97
:4c842320387ff7f6f91b7842b223c16518be909f
:f510a69fd2f699f4ba4c499e4be53041e43fa5fe
:44bdcfc61a8673940d2fd5b5c1256fb3763a24bb
:17e8fca193cfa612bf826fa5c6419eb4251bbfdc
:fdc09328fea3e060c8a504a8291555b4cd19172a
:5b393a2379bbc2119dd52861b9d85c4a2072b5da
:264bfd9d45950be27417615f22a11928f979af89
:1d87720659528ad80e8870da2b2bb4af4470cf66
:dbe26f191fd371706b2dda27896aa30a5b22dde9
:176e7d6b55e8ae831b23d371f8b72bcda2eda050
:91689252818532ec13597b6528d38be93b2706c4
:a594ab36356a9b6dc6ecf25a6124463ccbfd0a29
:265021daaca4fd092b3113882e2e19f32c782321
:f277cf8af7532168ab476e5f7bddaa44e74ff642
:a49cf848d2b34230f96e1ddfd36eb56222de0ff8
:3cb38edbc184347a707c6c431ca50085bbd5228a
:3dd00a31cf09e7d59a58bbcf0750e12401a23e53
:430727f8c2266b98bd2cad149c613766e50fb5d9
:3efa90a1dfea76e986419cc678c07b368c6afde2
:4c7e95adf3ebf234c3296a412389fb303f4facf0
:23b6792e3218744316fd495002f40a037c2e0095
:3e7396aeb0cacf83a7416f50cad1ff2d2d5c1594
:e1c31ac7328c5b42c09f2e4083bcd245090621e4
:aabfae52f2f9cd3da2a88327b8021a05bc700500
:189c7475c0490584f314acd7377d00adc0fc2b1a
:9b3af3c4e04ceb5aaa350786fd48189771cc5d0c
:79d2d2a3e3d39fcde3bea274434562ecbc41b360
:0f2da67cf6bafb92612325ced9705d16c7391db3
:6efdf77f5d0e05a35cf1c128e7d213f2a342cdbe
:4ead7e31a3a01781151307f8a41645f011bcb498
:876e109b32b4120f117901480512f2714d629558
:c3bf0640bc3345ce7d088a9e8917ed5d7471e1b2

dso_list:
:/lib64/libcrypt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/lib64/libfreebl3.so nss-softokn-freebl-3.12.10-2.fc15.x86_64 (Fedora Project) 1309575285
:/usr/lib64/libpangoft2-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306626798
:/usr/lib64/libgdk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309103286
:/usr/lib64/libX11.so.6.3.0 libX11-1.4.3-1.fc15.x86_64 (Fedora Project) 1306626009
:/usr/share/icons/hicolor/icon-theme.cache hicolor-icon-theme-0.12-3.fc15.noarch (Fedora Project) 1306626214
:/usr/lib64/libcanberra-gtk.so.0.1.8 libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1306626846
:/usr/lib64/libXdamage.so.1.1.0 libXdamage-1.1.3-2.fc15.x86_64 (Fedora Project) 1306626015
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309103245
:/usr/lib64/libpng12.so.0.46.0 libpng-2:1.2.46-1.fc15.x86_64 (Fedora Project) 1311470583
:/usr/share/icons/gnome/icon-theme.cache gnome-icon-theme-3.0.0-2.fc15.noarch (Fedora Project) 1306626221
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1306625956
:/usr/lib64/libXext.so.6.4.0 libXext-1.2.0-2.fc15.x86_64 (Fedora Project) 1306626010
:/usr/lib64/libgtk-x11-2.0.so.0.2400.4 gtk2-2.24.4-2.fc15.x86_64 (Fedora Project) 1309103286
:/usr/lib/locale/locale-archive glibc-common-2.14-5.x86_64 (Fedora Project) 1314121270
:/usr/lib64/libXcursor.so.1.0.2 libXcursor-1.1.11-3.fc15.x86_64 (Fedora Project) 1306626016
:/usr/lib64/libxcb.so.1.1.0 libxcb-1.7-2.fc15.x86_64 (Fedora Project) 1306626008
:/usr/lib64/libmtp.so.8.3.6 libmtp-1.0.6-3.fc15.x86_64 (Fedora Project) 1309732071
:/lib64/libusb-1.0.so.0.0.0 libusb1-1.0.8-7.fc15.x86_64 (Fedora Project) 1306626024
:/usr/lib64/libcanberra.so.0.2.5 libcanberra-0.28-3.fc15.x86_64 (Fedora Project) 1306626585
:/usr/lib64/gtk-2.0/modules/libcanberra-gtk-module.so libcanberra-gtk2-0.28-3.fc15.x86_64 (Fedora Project) 1306626846
:/usr/lib64/libgvfscommon.so.0.0.0 gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1309103296
:/lib64/libgcc_s-4.6.0-20110603.so.1 libgcc-4.6.0-10.fc15.x86_64 (Fedora Project) 1312811976
:/usr/lib64/libfontconfig.so.1.4.4 fontconfig-2.8.0-3.fc15.x86_64 (Fedora Project) 1306626146
:/lib64/libdl-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/usr/lib64/libgdk_pixbuf-2.0.so.0.2300.3 gdk-pixbuf2-2.23.3-2.fc15.x86_64 (Fedora Project) 1309268898
:/lib64/libm-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/lib64/ld-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/usr/lib64/libtag_c.so.0.0.0 taglib-1.7-1.fc15.x86_64 (Fedora Project) 1306626343
:/usr/share/fonts/abattis-cantarell/Cantarell-Regular.otf abattis-cantarell-fonts-0.0.6-1.fc15.noarch (Fedora Project) 1306627430
:/usr/lib64/libXcomposite.so.1.0.0 libXcomposite-0.4.3-2.fc15.x86_64 (Fedora Project) 1306626015
:/usr/lib64/libvorbisfile.so.3.3.4 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306626002
:/usr/lib64/gtk-2.0/modules/libpk-gtk-module.so PackageKit-gtk-module-0.6.17-1.fc15.x86_64 (Fedora Project) 1314122569
:/lib64/libutil-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/usr/lib64/libfreetype.so.6.6.2 freetype-2.4.4-5.fc15.x86_64 (Fedora Project) 1313762714
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1306625982
:/lib64/libudev.so.0.11.1 libudev-167-4.fc15.x86_64 (Fedora Project) 1306625976
:/usr/lib64/libvorbis.so.0.4.5 libvorbis-1:1.3.2-1.fc15.x86_64 (Fedora Project) 1306626002
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309103245
:/usr/lib64/libdbus-glib-1.so.2.1.0 dbus-glib-0.92-2.fc15.x86_64 (Fedora Project) 1306625995
:/usr/lib64/libXfixes.so.3.1.0 libXfixes-5.0-1.fc15.x86_64 (Fedora Project) 1306626010
:/lib64/libgudev-1.0.so.0.1.0 libgudev1-167-4.fc15.x86_64 (Fedora Project) 1306625998
:/usr/lib64/gconv/gconv-modules.cache glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/usr/lib64/libXrender.so.1.3.0 libXrender-0.9.6-2.fc15.x86_64 (Fedora Project) 1306626011
:/usr/lib64/libnjb.so.5.1.1 libnjb-2.2.7-1.fc15.x86_64 (Fedora Project) 1311034716
:/usr/lib64/libtag.so.1.7.0 taglib-1.7-1.fc15.x86_64 (Fedora Project) 1306626343
:/usr/lib64/libtdb.so.1.2.9 libtdb-1.2.9-9.fc15.x86_64 (Fedora Project) 1306625981
:/lib64/libdbus-1.so.3.5.4 dbus-libs-1:1.4.6-5.fc15.x86_64 (Fedora Project) 1312451261
:/usr/lib64/libpixman-1.so.0.20.2 pixman-0.20.2-2.fc15.x86_64 (Fedora Project) 1306625980
:/usr/lib64/libpangocairo-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306626798
:/lib64/libc-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/usr/lib64/libXau.so.6.0.0 libXau-1.0.6-2.fc15.x86_64 (Fedora Project) 1306626008
:/usr/share/icons/Mist/icon-theme.cache gnome-themes-2.32.0-6.fc15.noarch (Fedora Project) 1306626886
:/usr/bin/gnomad2 gnomad2-2.9.6-1.fc15.x86_64 (Fedora Project) 1314083059
:/usr/lib64/libXrandr.so.2.2.0 libXrandr-1.3.1-2.fc15.x86_64 (Fedora Project) 1306626012
:/usr/lib64/libstdc++.so.6.0.16 libstdc++-4.6.0-10.fc15.x86_64 (Fedora Project) 1312811977
:/usr/lib64/libltdl.so.7.3.0 libtool-ltdl-2.4-4.fc15.x86_64 (Fedora Project) 1306626001
:/usr/lib64/libXi.so.6.1.0 libXi-1.4.3-1.fc15.x86_64 (Fedora Project) 1309103284
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309103245
:/lib64/librt-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/lib64/libresolv-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309103245
:/usr/lib64/libogg.so.0.7.1 libogg-2:1.2.2-3.fc15.x86_64 (Fedora Project) 1306625979
:/usr/lib64/libXinerama.so.1.0.0 libXinerama-1.1.1-2.fc15.x86_64 (Fedora Project) 1306626018
:/lib64/libexpat.so.1.5.2 expat-2.0.1-11.fc15.x86_64 (Fedora Project) 1306625963
:/usr/lib64/libatk-1.0.so.0.9.1 atk-2.0.0-1.fc15.x86_64 (Fedora Project) 1306625994
:/usr/lib64/gtk-2.0/2.10.0/engines/libclearlooks.so gtk2-engines-2.20.2-2.fc15.x86_64 (Fedora Project) 1306626873
:/usr/lib64/gio/modules/libgvfsdbus.so gvfs-1.8.2-1.fc15.x86_64 (Fedora Project) 1309103296
:/usr/lib64/libid3tag.so.0.3.0 libid3tag-0.15.1b-11.fc15.x86_64 (Fedora Project) 1306697121
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1309103245
:/lib64/libnss_files-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/lib64/libusb-0.1.so.4.4.4 libusb-1:0.1.3-9.fc15.x86_64 (Fedora Project) 1309103264
:/lib64/libpthread-2.14.so glibc-2.14-5.x86_64 (Fedora Project) 1314121254
:/usr/lib64/libpango-1.0.so.0.2800.4 pango-1.28.4-1.fc15.x86_64 (Fedora Project) 1306626798
:/usr/lib64/libcairo.so.2.11000.2 cairo-1.10.2-3.fc15.x86_64 (Fedora Project) 1306626193

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-nico
:MANPATH=:/home/nico/programs/share/man
:XDG_SESSION_ID=1
:HOSTNAME=chimpy.paris.monnet.biz
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-ymXwoK/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=d7eef545eb4db3d662467a474aed0401-1314081031.711131-258667893
:PERL5LIB=/home/nico/.perl:/home/nico/programs/perl/lib
:GJS_DEBUG_OUTPUT=stderr
:WINDOWID=60818716
:GNOME_KEYRING_CONTROL=/tmp/keyring-ymXwoK
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:TIME_STYLE=iso
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:IMSETTINGS_MODULE=none
:USER=nico
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-ymXwoK/ssh
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/2429,unix/unix:/tmp/.ICE-unix/2429
:USERNAME=nico
:PATH=/usr/lib64/qt-3.3/bin:/usr/lib64/ccache:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/nico/src/depot_tools:/home/nico/programs/bin:/home/nico/bin:/usr/local/freeplayer/bin
:MAIL=/var/spool/mail/nico
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/tmp
:XMODIFIERS=@im=none
:EDITOR=/usr/bin/nano
:GNOME_KEYRING_PID=2421
:LANG=en_US.UTF-8
:KDE_IS_PRELINKED=1
:GDM_LANG=
:KDEDIRS=/usr
:PERL_UNICODE=63
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/nico
:SHLVL=2
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=nico
:QTLIB=/usr/lib64/qt-3.3/lib
:CVS_RSH=ssh
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-60WrHCsk4z,guid=fe1a3a48f02f482404cec84400000199
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:PKG_CONFIG_PATH=/home/nico/programs/lib/pkgconfig
:WRITERSCAFEDIR=/usr/share/ecub
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/nico
:DISPLAY=:0
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-nico-niVSVW/database
:_=/usr/bin/gnomad2

var_log_messages:
:Aug 23 19:18:31 chimpy kernel: [39289.821880] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.821908] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.821944] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.821967] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.821989] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.824631] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.824666] usb 1-2.4: usbfs: process 15770 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:31 chimpy kernel: [39289.824694] gnomad2[15770] general protection ip:3a47602fc6 sp:7ffff5e37100 error:0 in libusb-1.0.so.0.0.0[3a47600000+d000]
:Aug 23 19:18:32 chimpy abrt[15773]: saved core dump of pid 15770 (/usr/bin/gnomad2) to /var/spool/abrt/ccpp-2011-08-23-19:18:31-15770.new/coredump (13590528 bytes)
:Aug 23 19:18:37 chimpy kernel: [39295.952230] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952255] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952285] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952305] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952325] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952343] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952361] usb 1-2.4: usbfs: process 15785 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:37 chimpy kernel: [39295.952383] gnomad2[15785] general protection ip:3a47602fc6 sp:7fff5ea96bd0 error:0 in libusb-1.0.so.0.0.0[3a47600000+d000]
:Aug 23 19:18:37 chimpy abrt[15788]: not dumping repeating crash in '/usr/bin/gnomad2'
:Aug 23 19:18:40 chimpy kernel: [39298.417173] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417233] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417301] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417358] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417413] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417468] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417522] usb 1-2.4: usbfs: process 15794 (gnomad2) did not claim interface 0 before use
:Aug 23 19:18:40 chimpy kernel: [39298.417580] gnomad2[15794] general protection ip:3a47602fc6 sp:7fffb7699e40 error:0 in libusb-1.0.so.0.0.0[3a47600000+d000]
:Aug 23 19:18:40 chimpy abrt[15797]: not dumping repeating crash in '/usr/bin/gnomad2'
:Aug 23 19:19:10 chimpy kernel: [39328.528929] gnomad2[15910] general protection ip:3a47602fc6 sp:7fff29442c80 error:0 in libusb-1.0.so.0.0.0[3a47600000+d000]
:Aug 23 19:19:10 chimpy abrt[15918]: saved core dump of pid 15910 (/usr/bin/gnomad2) to /var/spool/abrt/ccpp-2011-08-23-19:19:10-15910.new/coredump (13590528 bytes)
:Aug 23 19:25:26 chimpy kernel: [39704.203267] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203312] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203357] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203390] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203420] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203450] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203479] usb 2-4: usbfs: process 16953 (gnomad2) did not claim interface 0 before use
:Aug 23 19:25:26 chimpy kernel: [39704.203515] gnomad2[16953] general protection ip:3a47602fc6 sp:7fff029e2650 error:0 in libusb-1.0.so.0.0.0[3a47600000+d000]
:Aug 23 19:25:26 chimpy abrt[16959]: saved core dump of pid 16953 (/usr/bin/gnomad2) to /var/spool/abrt/ccpp-2011-08-23-19:25:26-16953.new/coredump (13590528 bytes)
:Aug 23 19:27:07 chimpy kernel: [39805.181393] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:27:07 chimpy kernel: [39805.181429] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:27:07 chimpy kernel: [39805.181506] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:27:07 chimpy kernel: [39805.181535] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:27:07 chimpy kernel: [39805.181568] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:27:07 chimpy kernel: [39805.181598] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:27:07 chimpy kernel: [39805.181628] usb 2-4: usbfs: process 17333 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626336] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626373] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626419] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626451] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626482] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626511] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:30:10 chimpy kernel: [39988.626543] usb 2-4: usbfs: process 17471 (gnomad2) did not claim interface 0 before use
:Aug 23 19:41:39 chimpy yum[17958]: Installed: gnomad2-debuginfo-2.9.6-1.fc15.x86_64
:Aug 23 19:44:16 chimpy kernel: [40834.833329] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:44:16 chimpy kernel: [40834.833384] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:44:16 chimpy kernel: [40834.833434] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:44:16 chimpy kernel: [40834.833470] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:44:16 chimpy kernel: [40834.833503] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:44:16 chimpy kernel: [40834.833530] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:44:16 chimpy kernel: [40834.833563] usb 2-4: usbfs: process 18765 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251573] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251627] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251676] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251713] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251747] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251777] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 19:45:16 chimpy kernel: [40894.251808] usb 2-4: usbfs: process 18882 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497344] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497367] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497390] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497401] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497410] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497418] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:06:03 chimpy kernel: [42141.497427] usb 2-4: usbfs: process 21172 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275296] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275329] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275360] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275390] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275418] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275435] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275460] usb 2-4: usbfs: process 21249 (gnomad2) did not claim interface 0 before use
:Aug 23 20:09:46 chimpy kernel: [42364.275486] gnomad2[21249] general protection ip:3a47602fc6 sp:7fff69981fb0 error:0 in libusb-1.0.so.0.0.0[3a47600000+d000]
:Aug 23 20:09:46 chimpy abrt[21252]: saved core dump of pid 21249 (/usr/bin/gnomad2) to /var/spool/abrt/ccpp-2011-08-23-20:09:46-21249.new/coredump (13598720 bytes)

Comment 1 nico 2011-08-23 18:52:33 UTC
Created attachment 519509 [details]
File: maps

Comment 2 nico 2011-08-23 18:54:22 UTC
This occurs in libusb's usbi_log, the value of ctx is nonsense:


void usbi_log(struct libusb_context *ctx, enum usbi_log_level level,
	const char *function, const char *format, ...)
{
	va_list args;
	FILE *stream = stdout;
	const char *prefix;

#ifndef ENABLE_DEBUG_LOGGING
	USBI_GET_CONTEXT(ctx);
	if (!ctx->debug) // ← segfault here
		return;
	if (level == LOG_LEVEL_WARNING && ctx->debug < 2)
		return;
	if (level == LOG_LEVEL_INFO && ctx->debug < 3)
		return;
#endif

Comment 3 Lonni J Friedman 2011-09-27 01:27:17 UTC
I'm also seeing this problem, with tons of "(gnomad2) did not claim interface 0 before use" in dmesg, and gnomad2 segfaulting:
$ gnomad2 
Device 0 (VID=041e and PID=4150) is a Creative ZEN V.
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Segmentation fault

Comment 4 Fedora End Of Life 2012-08-07 19:08:09 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.